#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x;
    scanf("%d %d",&n, &x);
    int a,maksi=x,mini=x;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a);
        if(a>maksi)maksi=a;
        if(a<mini)mini=a;

    }
    int t=maksi-mini+min(x-mini,maksi-x);
    printf("%d",t);
    return 0;
}